<?php

namespace App\Repositories;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Repositories\ProductColorRepository;
use App\Models\ProductColor;
use App\Validators\ProductColorValidator;

/**
 * Class ProductColorRepositoryEloquent.
 *
 * @package namespace App\Repositories;
 */
class ProductColorRepositoryEloquent extends BaseRepository implements ProductColorRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return ProductColor::class;
    }

    

    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }
    
}
